//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

namespace Neo.ApplicationFramework.Generated
{
    using System.Windows.Forms;
    using System;
    using System.Drawing;
    using Neo.ApplicationFramework.Tools;
    using Neo.ApplicationFramework.Common.Graphics.Logic;
    using Neo.ApplicationFramework.Controls;
    using Neo.ApplicationFramework.Interfaces;
	//SQL Client Class
	using System.Data.SqlClient;
    
    
    public partial class Sql
    {
		

		public void DoSQLQuery(string strStatement,string strDatasource,string strInitialCatalog, string UserName, string Password)
		{
			
			SqlConnection myConnection;

			try
			{
				myConnection = new SqlConnection("Data Source=" + strDatasource + ";Initial Catalog=" + strInitialCatalog + ";User Id=" + UserName + ";Password=" + Password);
			}
			catch (Exception ex)
			{
				Globals.Tags.Output.Value = ("Connection String not correct: " + ex.Message);                
				return;
			}

			try
			{
				myConnection.Open();
			}
			catch (Exception ex)
			{
				Globals.Tags.Output.Value = ("Connection Fail: " + ex.Message); 
				return;
			}

			SqlDataReader myReader = null;
			SqlCommand myCommand = new SqlCommand(strStatement, myConnection);

			try
			{
				myReader = myCommand.ExecuteReader();
				string line = string.Empty;

				while (myReader.Read())
				{
					for (int i = 0; i < myReader.FieldCount; i++)
					{
						line += string.Format("{0} ; ", Convert.ToString(myReader[i]));
					}
					line += @"  \\\  ";
				}

				if (line.Length > 512)
				{
					Globals.Tags.Output.Value = ("Too long string for output"); 
				
					return;
				}
				Globals.Tags.Output.Value = line;

			}
			catch (Exception ex)
			{
				Globals.Tags.Output.Value = ("Read Fail " + ex.Message); 
				myConnection.Close();
			}

			myConnection.Close();
		}

    }
}
